aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios/rust_at_pinned_version.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-08-23 02:45:11 +0300
committerGitHub <noreply@github.com>2022-08-23 02:45:11 +0300
commit58e425039a1dc78cde64e9c1939e2a3dfed6d22a (patch)
treebf7d29492796a71fa0a449a836eaa518a3b25502 /test-scenarios/rust_at_pinned_version.sh
parentec1deb82808c14de9ce601838e255357718b49d4 (diff)
fix rust error when choose a non-default version. (#111)
port of https://github.com/microsoft/vscode-dev-containers/pull/1592
Diffstat (limited to 'test-scenarios/rust_at_pinned_version.sh')
-rw-r--r--test-scenarios/rust_at_pinned_version.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test-scenarios/rust_at_pinned_version.sh b/test-scenarios/rust_at_pinned_version.sh
new file mode 100644
index 0000000..2954a7a
--- /dev/null
+++ b/test-scenarios/rust_at_pinned_version.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "cargo version" cargo --version
+check "rustc version" rustc --version
+check "correct rust version" rustc --version | grep 1.62.0
+
+
+# Report result
+reportResults \ No newline at end of file